Bug 223531 - Make pulseaudio a drop-in replacement for esound
Make pulseaudio a drop-in replacement for esound
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pierre Ossman
Fedora Extras Quality Assurance
Depends On: 223503
Blocks: FC7Target
  Show dependency treegraph
Reported: 2007-01-19 16:11 EST by Matthias Clasen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-07 13:50:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
pulseaudio.spec patch (1.42 KB, patch)
2007-02-05 12:06 EST, Matthias Clasen
no flags Details | Diff

  None (edit)
Description Matthias Clasen 2007-01-19 16:11:59 EST
We want to switch to pulseaudio as the default sound daemon for fc7.
The only realistic way to achieve that is via the esd-compat support
of pulseaudio. For that, the compat script that pulseaudio installs
must be called /usr/bin/esd instead of /usr/bin/esdcompat, which will
make pulseaudio conflict with the esound package. That should be fine
once we have split esound into esound and esound-libs.
Comment 1 Matthias Clasen 2007-02-02 14:41:28 EST
Pierre, any progress on this ? 
We'd really like to have this in place for test2
Comment 2 Matthias Clasen 2007-02-02 14:49:08 EST
The esound/esound-libs split has happened by now.
Comment 3 Matthias Clasen 2007-02-05 12:06:28 EST
Created attachment 147374 [details]
pulseaudio.spec patch

Here is a patch to make pulseaudio install /usr/bin/esd. Please ?
Comment 4 Pierre Ossman 2007-02-05 14:25:59 EST
I'm just overworked, no need to beg. :)

This patch poses a problem though, you can't have pulse and esd in at the same
time. So I suggest splitting the esd script to its own file.
Comment 5 Pierre Ossman 2007-02-05 14:27:19 EST
Also, I'm not sure the esd tools should be packaged with the daemon. You might
still want the tools even though you use pulse's esd compat stuff. (e.g. contact
another esd server).
Comment 6 Matthias Clasen 2007-02-05 14:29:10 EST
Well, the idea is that pulseaudio and esound conflict, so you can have only one
of the two installed. That was the reason for splitting esound-libs off the main
  esound package - nothing requires esound anymore, only /usr/bin/esd, which can
be provided either by esound or pulseaudio

It is certainly possible to split off esound-tools, too, if you think there is a
need for that.
Comment 7 Pierre Ossman 2007-02-05 14:34:41 EST
I don't see a value in creating a conflict where there is none. I propose a
esound-compat package that Conflicts: with esound.

I would think that esound-tools is needed. Another use case if you want to debug
the esound support because some esound using application is misbehaving.
Comment 8 Pierre Ossman 2007-02-05 14:40:01 EST
Proposed solution:

Comment 9 Matthias Clasen 2007-02-05 14:42:43 EST
That works too.  I assume you want to remove the Conflicts line from the main

I'll look into splitting off esound-tools.
Comment 10 Matthias Clasen 2007-02-07 00:08:30 EST
That -compat-esd package works fine for me, with the hal that is in tomorrows
Comment 11 Matthias Clasen 2007-02-07 09:52:29 EST
Would be great to see pulseaudio-esound-compat in rawhide soon, so that we can
start pulling things together for test2
Comment 12 Pierre Ossman 2007-02-07 11:26:49 EST
I'm waiting for a response on bug 223534 so I can push that update at the same
time. :)
Comment 13 Pierre Ossman 2007-02-07 13:50:10 EST

Note You need to log in before you can comment on or make changes to this bug.